{% extends 'dashboard/_layout/layout_dashboard.html.twig' %}

{% block stylesheets %}
    {{ parent() }}

    {{ encore_entry_link_tags('app') }}
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb_back_link = path('app_dashboard_property_view',  {propertyIdEncoded: property.idEncoded}) %}
    {% set breadcrumb_back_link_title = 'Property Overview' %}
    {% embed 'dashboard/_component/breadcrumb.html.twig' with {'breadcrumb_title': ('Property Analysis: ' ~ analysis.id ) } %}{% endembed %}
{% endblock %}

{% block content %}
    {% embed 'dashboard/_component/flash_v2.html.twig' %}{% endembed %}

    <div class="row justify-content-center">
        <div class="col-md-6 col-lg-3">
            <div class="card report-card">
                <div class="card-body">
                    <div class="row d-flex justify-content-center">
                        <div class="col">
                            <p class="text-dark mb-1 font-weight-semibold">Purchase Price</p>
                            <h3 class="my-2">${{ worksheet.purchasePrice.amount | number_format }}</h3>
                            <p class="mb-0 text-truncate text-muted">Recommanded purchase price</p>
                        </div>
                        <div class="col-auto align-self-center">
                            <div class="report-main-icon bg-light-alt">
                                <i data-feather="dollar-sign" class="align-self-center text-muted icon-md"></i>
                            </div>
                        </div>
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div> <!--end col-->
        <div class="col-md-6 col-lg-3">
            <div class="card report-card">
                <div class="card-body">
                    <div class="row d-flex justify-content-center">
                        <div class="col">
                            <p class="text-dark mb-1 font-weight-semibold">Discount</p>
                            <h3 class="my-2">76%</h3>
                            <p class="mb-0 text-truncate text-muted"><span
                                        class="badge badge-soft-success">${{ worksheet.afterRepairValue.amount | number_format }}</span>
                                After Repair Value</p>
                        </div>
                        <div class="col-auto align-self-center">
                            <div class="report-main-icon bg-light-alt">
                                <i data-feather="percent" class="align-self-center text-muted icon-md"></i>
                            </div>
                        </div>
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div> <!--end col-->
        <div class="col-md-6 col-lg-3">
            <div class="card report-card">
                <div class="card-body">
                    <div class="row d-flex justify-content-center">
                        <div class="col">
                            <p class="text-dark mb-1 font-weight-semibold">Closing Cost</p>
                            <h3 class="my-2">${{ worksheet.closingCost.inputValue | number_format }}</h3>
                            <p class="mb-0 text-truncate text-muted">
                                <a href="#" class="text-muted">
                                    <span class="text-info"><i class="mdi mdi mdi-information-outline"></i></span>
                                    See details
                                </a>
                            </p>
                        </div>
                        <div class="col-auto align-self-center">
                            <div class="report-main-icon bg-light-alt">
                                <i data-feather="dollar-sign" class="align-self-center text-muted icon-md"></i>
                            </div>
                        </div>
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div> <!--end col-->
        <div class="col-md-6 col-lg-3">
            <div class="card report-card">
                <div class="card-body">
                    <div class="row d-flex justify-content-center">
                        <div class="col">
                            <p class="text-dark mb-1 font-weight-semibold">Rehab Cost</p>
                            <h3 class="my-2">${{ worksheet.rehabCost.inputValue | number_format }}</h3>
                            <p class="mb-0 text-truncate text-muted"><span class="text-dark">$14000</span> Total used
                                budgets</p>
                        </div>
                        <div class="col-auto align-self-center">
                            <div class="report-main-icon bg-light-alt">
                                <i data-feather="tool" class="align-self-center text-muted icon-md"></i>
                            </div>
                        </div>
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div> <!--end col-->
    </div><!--end row-->

    <div class="row">
        <div class="col-lg-8">
            <div class="card">
                <div class="card-body">

                    <!-- Nav tabs -->
                    <ul class="nav-border nav nav-pills" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active font-weight-semibold" data-toggle="tab" href="#property2_Tab"
                               role="tab">Analysis</a>
                        </li>
                    </ul>

                    <!-- Tab panes -->
                    <div class="tab-content">
                        <div class="tab-pane active p-3" id="property2_Tab" role="tabpanel">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="media mb-3">
                                        <div class="media-body align-self-center text-truncate">
                                            <h4 class="mt-0 mb-1 font-weight-semibold text-dark font-16">{{ analysis.id }}</h4>
                                            <p class="text-muted  mb-0 font-13"><span
                                                        class="text-dark">property: </span>{{ property.name }}</p>
                                        </div><!--end media-body-->
                                    </div>
                                </div><!--end col-->
                                <div class="col-md-6 text-lg-right">
                                    <h6 class="font-weight-semibold">Created On: <span
                                                class="text-muted font-weight-normal">{{ analysis.createdAt | date('F d, Y') }}</span>
                                    </h6>
                                </div><!--end col-->
                            </div><!--end row-->

                            <div class="bg-white">
                                <div class="alert custom-alert custom-alert-primary icon-custom-alert alert-secondary-shadow fade show py-2"
                                     role="alert">
                                    <i class="mdi mdi-information-outline icon-dual alert-icon text-primary align-self-center mr-2 font-18"></i>
                                    <div class="alert-text my-1">
                                        To edit any of the datas below, click on the appropriate milestone
                                    </div>
                                    <div class="alert-close">
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true"><i class="mdi mdi-close font-16"></i></span>
                                        </button>
                                    </div>
                                </div>
                            </div>

                            <div class="holder mt-3">
                                <ul class="steppedprogress pt-1">
                                    <li class="{% if 'purchaseAndSellingAssumptions' in stepsDone %}complete finish-green{% endif %}"
                                        style="cursor: pointer" data-toggle="modal"
                                        data-target="#purchaseAndSellingAssumptionsModal">Purchase & Selling Assumptions
                                    </li>
                                    <li class="{% if 'buyingCost' in stepsDone %}complete finish-green{% endif %}"
                                        style="cursor: pointer" data-toggle="modal" data-target="#buyingCostModal">
                                        Buying Cost
                                    </li>
                                    <li class="{% if 'sellingCost' in stepsDone %}complete finish-green{% endif %}"
                                        style="cursor: pointer" data-toggle="modal" data-target="#sellingCostModal">
                                        Selling Cost
                                    </li>
                                    <li class="{% if 'holdingCost' in stepsDone %}complete finish-green{% endif %}"
                                        style="cursor: pointer" data-toggle="modal" data-target="#holdingCostModal">
                                        Holding Cost
                                    </li>
                                    <li class="{% if 'rehabCost' in stepsDone %}complete finish-green{% endif %}"
                                        style="cursor: pointer" data-toggle="modal" data-target="#rehabCostModal">Rehab
                                        Cost
                                    </li>
                                </ul>
                            </div>
                            <div class="task-box mt-3">
                                <div class="task-priority-icon"><i
                                            class="fas fa-circle {% if analysis.id == 'INCOMPLETE' %}text-warning{% else %}text-success{% endif %}"></i>
                                </div>
                                <div class="mt-4 d-flex justify-content-between">
                                    <h6 class="font-weight-semibold"><a href="#"><i
                                                    class="mdi mdi mdi-information-outline"></i> More Informations</a>
                                    </h6>
                                    <h6 class="font-weight-semibold">Status:
                                        {% if analysis.id == 'INCOMPLETE' %}
                                            <span class="badge badge-soft-warning font-weight-semibold ml-2"><i
                                                        class="far fa-fw fa-clock"></i>  {{ analysis.id }}</span>
                                        {% elseif analysis.id == 'COMPLETE' %}
                                            <span class="badge badge-soft-success font-weight-semibold ml-2"><i
                                                        class="far fa-fw fa-clock"></i>  {{ analysis.id }}</span>
                                        {% endif %}
                                    </h6>
                                </div>
                                <p class="text-muted mt-3 mb-1">There are many variations of passages of Lorem Ipsum
                                    available,
                                    but the majority have suffered alteration in some form.
                                </p>
                                <p class="text-muted text-right mb-1">{{ progressBarPercent }}% Complete</p>
                                <div class="progress mb-4" style="height: 4px;">
                                    <div class="progress-bar {% if progressBarPercent == 100 %}bg-success{% else %}bg-purple{% endif %}"
                                         role="progressbar" style="width: {{ progressBarPercent }}%;" aria-valuenow="15"
                                         aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                                <div class="d-flex justify-content-between">
                                    <div class="">
                                        <button data-toggle="modal" data-target="#generateReportModal"
                                                class="btn btn-soft-primary btn-xs waves-effect waves-light">
                                            <i class="mdi mdi-file-pdf mr-2"></i>Generate Report
                                        </button>
                                    </div>
                                    <div>
                                        <button data-toggle="modal" data-target="#shareAnalysisModal"
                                                class="btn btn-soft-primary btn-xs waves-effect waves-light">
                                            <i class="mdi mdi-share-outline mr-2"></i>Share
                                        </button>
                                    </div>
                                </div>
                            </div><!--end task-box-->
                        </div><!--end tab-pane-->
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div>
        <div class="col-lg-4">
            <div class="card">
                <div class="card-header">
                    <div class="row align-items-center">
                        <div class="col">
                            <h4 class="card-title">Profit</h4>
                        </div><!--end col-->
                    </div>  <!--end row-->
                </div><!--end card-header-->
                <div class="card-body border-bottom-dashed">
                    <div class="earning-data text-center">
                        <img src="{{ asset('assets/reavant/images/money-beg.png') }}" alt="" class="money-bag my-3"
                             height="60">
                        <h5 class="earn-money mb-1">${{ analysis.profit.amount | number_format }}</h5>
                        <p class="text-muted font-15 mb-4">Profit Estimated</p>
                        <div class="text-center my-2">
                            <h6 class="text-primary bg-soft-primary p-3 mb-0 font-11 rounded">
                                <i data-feather="target" class="align-self-center icon-xs mr-1"></i>
                                Purchase Price ${{ worksheet.purchasePrice.amount | number_format }}
                                <span class="mx-2">/</span>
                                <i data-feather="dollar-sign" class="align-self-center icon-xs mr-1"></i>
                                After Repair Value ${{ worksheet.afterRepairValue.amount | number_format }}
                            </h6>
                        </div>
                    </div>
                </div><!--end card-body-->
                <div class="card-body my-1">
                    <div class="row">
                        <div class="col">
                            <div class="media">
                                <i data-feather="percent" class="align-self-center icon-md text-secondary mr-2"></i>
                                <div class="media-body align-self-center">
                                    <h6 class="m-0 font-24">{{ analysis.returnOnInvestment }}</h6>
                                    <p class="text-muted mb-0">Return On Investment</p>
                                </div><!--end media body-->
                            </div>
                        </div><!--end col-->
                        <div class="col">
                            <div class="media">
                                <i data-feather="percent" class="align-self-center icon-md text-secondary mr-2"></i>
                                <div class="media-body align-self-center">
                                    <h6 class="m-0 font-24">{{ analysis.annualizedReturnOnInvestment }}</h6>
                                    <p class="text-muted mb-0">Annualized Return On Investment</p>
                                </div><!--end media body-->
                            </div>
                        </div><!--end col-->

                    </div><!--end row-->
                </div><!--end card-body-->
            </div><!--end card-->
        </div><!-- end col-->
    </div><!--end row-->
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    {{ encore_entry_script_tags('app') }}
{% endblock %}

{% block modals %}
    {{ parent() }}

    <div class="modal fade" id="purchaseAndSellingAssumptionsModal" tabindex="-1" role="dialog"
         aria-labelledby="purchaseAndSellingAssumptionsModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="purchaseAndSellingAssumptionsModalLabel">Change purchase and selling
                        assumptions</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(formPurchaseAndSellingAssumptions) }}
                <div class="modal-body">
                    <div class="col-md-6 px-0">
                        {{ form_rest(formPurchaseAndSellingAssumptions) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Change</button>
                </div>
                {{ form_end(formPurchaseAndSellingAssumptions) }}
            </div>
        </div>
    </div>

    <div class="modal fade" id="buyingCostModal" tabindex="-1" role="dialog" aria-labelledby="buyingCostModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="buyingCostModalLabel">Update Buying Cost</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(formBuyingCost) }}
                <div class="modal-body">
                    <div class="col-md-6 px-0">
                        {{ form_rest(formBuyingCost) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Change</button>
                </div>
                {{ form_end(formBuyingCost) }}
            </div>
        </div>
    </div>

    <div class="modal fade" id="sellingCostModal" tabindex="-1" role="dialog" aria-labelledby="sellingCostModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="sellingCostModalLabel">Update Selling Cost</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(formSellingCost) }}
                <div class="modal-body">
                    <div class="col-md-6 px-0">
                        {{ form_rest(formSellingCost) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Change</button>
                </div>
                {{ form_end(formSellingCost) }}
            </div>
        </div>
    </div>

    <div class="modal fade" id="holdingCostModal" tabindex="-1" role="dialog" aria-labelledby="holdingCostModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="holdingCostModalLabel">Update Holding Cost</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(formHoldingCost) }}
                <div class="modal-body">
                    <div class="col-md-6 px-0">
                        {{ form_rest(formHoldingCost) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Change</button>
                </div>
                {{ form_end(formHoldingCost) }}
            </div>
        </div>
    </div>

    <div class="modal fade" id="rehabCostModal" tabindex="-1" role="dialog" aria-labelledby="rehabCostModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="rehabCostModalLabel">Update Rehab Cost</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                {{ form_start(formRehabCost) }}
                <div class="modal-body">
                    <div class="col-md-6 px-0">
                        {{ form_rest(formRehabCost) }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Change</button>
                </div>
                {{ form_end(formRehabCost) }}
            </div>
        </div>
    </div>

    <!-- Modal Generate Report -->
    <div class="modal fade" id="generateReportModal" tabindex="-1" role="dialog"
         aria-labelledby="generateReportModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="generateReportModalLabel">Generate a property report</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h6 class="mb-4 font-weight-light">
                        A report as PDF will be generated for the property named "<span
                                class="font-italic">{{ property.name }}</span>".
                    </h6>

                    <div class="col-md-6 px-0">

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Generate a report</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="shareAnalysisModal" tabindex="-1" role="dialog"
         aria-labelledby="shareAnalysisModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="shareAnalysisModalLabel">Share property Analysis</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12 px-0">
                        <share-analysis-component class="col-md-12 px-0" data-property-id="{{ analysis.propertyId }}"
                                                  data-property-analysis-id="{{ analysis.id }}"></share-analysis-component>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}